import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { SuperAdmin } from './entities/super-admin.entity';
import { Repository } from 'typeorm';

@Injectable()
export class SuperAdminService {
  constructor(
    @InjectRepository(SuperAdmin)
    private superAdminRepository: Repository<SuperAdmin>,
  ) { }
  async findOne(email: string) {
    return await this.superAdminRepository.findOne({
      where: {
        email,
      },
    });
  }
}
